#draggableDiv{top:70px;}
.mothergameholder{background:white;}
.mothergameholder *{
    margin: 0;
    padding: 0;
    text-decoration: none;
    box-sizing: border-box; 
    overflow-x: hidden; 
  
  }

.Header{
    background-color: #3b3b3b;
    padding: 2%;
    font-family: 'Montserrat', sans-serif;    color: whitesmoke;
    font-weight: 100;
}

.Footer{
    background-color: #3b3b3b;
    padding: 2%;
    font-family: 'Montserrat', sans-serif;    color: whitesmoke;
    font-weight: 100;
    margin-top: 50px;
    bottom: 0;

}
.footerLink{
    display: inline-block;
    vertical-align: middle;
    width: 10%;
}

.headerTitle{
    font-size: xx-large;
}
.LinkItem{
    display: inline-block;
    margin-left: 10vw;
    font-family: 'Montserrat', sans-serif;    color: whitesmoke;
    color: white;
    height: 100%;
    font-size: larger;
    transition: .2s;
}
.LinkItem:hover{
    color: gray;
    transition: .2s;
}

.fileLetter{
    font-size: large;
    position: absolute;
    font-family: 'Montserrat', sans-serif;    color: rgb(162, 105, 32);
    margin-left: 5%;
}
.rankNumber{
    font-size: large;
    position: absolute;
    font-family: 'Montserrat', sans-serif;    color: rgb(162, 105, 32);
    float: left;
    margin-top: -9%;
    margin-left: -6%;
}

#Board{
    width: 100%;
    height: 100%;
    border: 0.5px solid grey;
    border-radius: 2px;
    display: block;
    margin: 0 auto;
    font-size: 0;
}
.Container{
    display: block;
    width: auto;
    height: auto;
    aspect-ratio: 1 / 1;
    max-width: auto;
    max-height: calc(100% - 90px);
    margin: auto;
    position: relative;
    left: 0;
    right: 0;
    overflow: visible;
    top: calc(50% - 45px);
    transform: translateY(-50%);
}
.CapturedPiecesContainer{
    display: none;
    margin: auto;
    overflow: hidden;
    position: absolute;
    background: #0cb9c3;
    width: 75%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 45px 20px 20px;
    border-radius:10px;
    border:solid 1px;
}
.showCaptured{display:block;}
.capturedClose{position:absolute;top: 10px;
    right: 20px;
    padding: 5px 10px;
    border-radius: 5px;
    border: 0;}
.capturedClose:hover{background-color:yellow;}

.WhitePiecesCaptured{
    float: left;
    width: 49%;
    display: block;
    height: 100%;
    border-radius: 8px;
    background: #f8f8f8;
}
.BlackPiecesCaptured{
    float: right;
    width: 49%;
    display: block;
    height: 100%;
    border-radius: 8px;
    background: #f8f8f8;
}

.blackSquare{
    width: 12.5%;
    height: 12.5%;
    background-color: #d99d43;
    display: inline-block;
    margin: 0;
    padding: 0;
}

.whiteSquare{
    width: 12.5%;
    height: 12.5%;
    background-color: #ffe3b8;
    display: inline-block;
}

.tint{
    width: 12.5%;
    height: 12.5%;
    display: inline-block;
    background-image: url("/games/chess-directembedcode/Images/Tint.png");
}

.moveIndicator{
    width: 12.5%;
    height: 12.5%;
    display: inline-block;
    background-image: url("/games/chess-directembedcode/Images/MoveIndicator.png");
}

.kingInCheck{
    width: 12.5%;
    height: 12.5%;
    display: inline-block;
    background-image: url("/games/chess-directembedcode/Images/KingInCheck.png");
}

.WhitePiecesCaptured img,.BlackPiecesCaptured img {
    width: 16.66%;
}

@keyframes PopUp {

    from {opacity: 0; top: 0;}
    to {opacity: 1; top: 10%;}
  }

/*popup*/
#PopUp{
    
    top:5%;
    width: 90%;
    max-width:300px;
    height: auto;
    padding-bottom: 10%;
    border-radius: 10px;
    display: block;
    margin: auto;
    position: absolute;
    left: 0;
    right: 0;
    z-index: 10;
    background-color: #f2f2f2;
    box-shadow: 1px 1px 5px 5px rgba(0, 0, 0, 0.4);
    animation-name: PopUp;
    animation-duration: 1s;

}
.PopUpHeader{
    position: relative; 
    background-color: #51b035; 
    height: auto; 
    padding:10px 0;
    color: white; 
    width: 100%; 
    text-align: center;
}
.PopUpBody{
    position: relative; 
    display: block;
    color: white; 
    height: auto; 

    text-align: center;
}
.PopUpText{
    color: white; 
    position: relative; 
    top: 20%;
    font-family: 'Montserrat', sans-serif;
    font-size:20px;
    text-align: left;
    padding: 0 0 5px 10px;
}
.PopUpBodyText{
    color: #a5a5a5; 
    position: relative; 
    top: 20%;
    font-family: 'Montserrat', sans-serif;font-size: 18px;
    padding: 3px 0 0;}

.ChooseSideButton{
    background-color: #51b035;
    border: none;
    outline: none;
    border-radius: 5px;
    padding: 10px;
    color: white;
    position: relative;
    margin-top: 10px;
    transition: 0.2s;
    height: auto;
    margin-left: 5px;
    margin-right: 5px;
    font-family: 'Montserrat', sans-serif;
}
.ChooseSideButton:hover{
    background-color: #2f711b;
    cursor: pointer;
    transition: 0.2s;
}
.ChooseSideButton:active{
    transform: scale(0.95);
}

.DifficultyButton{
    background-color: #51b035;
}
.DifficultyButton:focus:hover{
    background-color: #446fd1;
}
.DifficultyButton:focus{
    background-color: #5286ff;
}



/*Pawn promotion*/
#Promotion{
    font-size: 0;
    top: 15%;
    width: 20vw;
    height: 5vw;
    border-radius: 8px;
    display: block;
    margin: auto;
    position: absolute;
    left: 0;
    right: 0;
    background-color: #f2f2f2;
    box-shadow: 1px 1px 5px 5px rgba(0, 0, 0, 0.4);
    
}
.PromotionOptions{
    font-size: 0;
    height: 100%;
    width: 25%;
    position: relative;
    display: inline-flex;
    overflow: hidden;
}

.buttonsContainer{
    display: block;
    position: relative;
    margin: auto;
    width: 95%;
    padding:10px 0;

}
.tg_cmnBtn{width: auto;overflow: hidden;padding: 10px;position: relative;display: inline-block;margin: auto;outline: none;border: none;border-radius: 5px;font-size: larger;color:white;font-family: 'Roboto', sans-serif;transition: 0.2s;cursor: pointer;}

.resignButton{background-color: #51b035;}
.drawButton{background-color: #51b035;}
.capturedButton{background:#51b035;}
.playButton{background:#0094ff;padding:10px 20px;float:right;}

.tg_cmnBtn:hover{background-color: #d12b1f;}



.viewBoardButton{
    background-color: white;
    border: none;
    outline: none;
    border-radius: 5px;
    padding:5px 10px;
    color: black;
    transition: 0.2s;
    font-family: 'Montserrat', sans-serif;
    display: block;
    width: auto;
    cursor: pointer;
    position:absolute;
    top:9px;
    right:10px;
}






.squareHover{
    cursor: default;
}
.squareHover:hover{
    cursor: pointer;
}

.name{
    float: right; font-weight: 300; font-size:larger; color: lightgray;
    padding-top: 1.5vh;
}
.mothergameholder nav {
    display: flex;
    justify-content: space-around;
    align-items: center;
    list-style: none;
    min-height: 11vh;
    background-color: #3b3b3b;
    font-family: 'Montserrat', sans-serif;
}

.footer-links{
    display: flex;
    justify-content: space-around;
    width: 50%;
    vertical-align: middle;
    z-index: 0;
}
@media screen and (max-width: 1000px){
    
    /*.CapturedPiecesContainer{
        width: 80vw;
        height: 40vw;
    }
    #PopUp{
        width: 60vw;
    }*/
    /*.resignButton{
        font-size: small;
    }
    .drawButton{
        font-size: small;
    }*/

    .LinkItem{
        display: inline-flex;
        padding-left: 3vh;
        font-size: small;
        margin-left: 5vw;
    }
    .headerTitle{
        font-size: x-large;
    }
    .PopUpBodyText{
        font-size: large;
    }
    
    #Promotion{
        width: 40vw;
        height: 10vw;
    }
    .name{
        font-size: medium;
    }
    .footer-links{
        width: 75%;
    }
}

@media screen and (max-width: 800px){
    .footer-links{
        width: 100%;
    }
}


/*board themes*/
.BrownThemeBlack{
    background-color: #d99d43;
}
.BrownThemeWhite{
    background-color: #ffe3b8;
}

.BlueThemeBlack{
    background-color: #51aff3;
}
.BlueThemeWhite{
    background-color: #b9e2ff;
}

.GreenThemeBlack{
    background-color: #51b035;
}
.GreenThemeWhite{
    background-color: #cfe2d2;
}



.brownButton{
    background-color: #d99d43;
    border: none;
    outline: none;
    border-radius: 5px;
    padding: 15px;
    position: relative;
    margin-top: 10px;
    transition: 0.2s;
    height: auto;
    margin-left: 5px;
    margin-right: 5px;
}
.blueButton{
    background-color: #51aff3;
    border: none;
    outline: none;
    border-radius: 5px;
    padding: 15px;
    position: relative;
    margin-top: 10px;
    transition: 0.2s;
    height: auto;
    margin-left: 5px;
    margin-right: 5px;
}
.greenButton{
    background-color: #51b035;
    border: none;
    outline: none;
    border-radius: 5px;
    padding: 15px;
    position: relative;
    margin-top: 10px;
    transition: 0.2s;
    height: auto;
    margin-left: 5px;
    margin-right: 5px;
}



.brownButton:focus, .blueButton:focus, .greenButton:focus{
    border: 2px solid black;
    transition: .2s;
}
